Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515856 - missing units and timestamps in various charts
Summary: missing units and timestamps in various charts
Keywords:
Status: ASSIGNED
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-monitoring-integration
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Nishanth Thomas
QA Contact: sds-qe-bugs
URL:
Whiteboard:
: 1517093 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 13:55 UTC by Martin Kudlej
Modified: 2019-04-16 02:29 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1595020 None NEW Top File operations panel (Volume dashboard/Profile information) latency representation is confusing 2018-12-10 06:03:08 UTC
Red Hat Bugzilla 1613492 None CLOSED No units in Ping Latency panel in Top Consumers section of Cluster dashboard 2018-12-10 06:03:08 UTC
Red Hat Bugzilla 1613497 None NEW No units in Brick IOPS panel in At-a-Glance section of Host dashboard 2018-12-10 06:03:08 UTC

Internal Links: 1595020 1613492 1613497

Description Martin Kudlej 2017-11-21 13:55:24 UTC
Description of problem:
There are no units and timestamps in throughput charts at volume and brick dashboards. User doesn't know what those charts show. It is not clear when throughput has changed and how big/small is.

Version-Release number of selected component (if applicable):
etcd-3.2.7-1.el7.x86_64
glusterfs-3.8.4-52.el7_4.x86_64
glusterfs-3.8.4-52.el7rhgs.x86_64
glusterfs-api-3.8.4-52.el7rhgs.x86_64
glusterfs-cli-3.8.4-52.el7rhgs.x86_64
glusterfs-client-xlators-3.8.4-52.el7_4.x86_64
glusterfs-client-xlators-3.8.4-52.el7rhgs.x86_64
glusterfs-events-3.8.4-52.el7rhgs.x86_64
glusterfs-fuse-3.8.4-52.el7_4.x86_64
glusterfs-fuse-3.8.4-52.el7rhgs.x86_64
glusterfs-geo-replication-3.8.4-52.el7rhgs.x86_64
glusterfs-libs-3.8.4-52.el7_4.x86_64
glusterfs-libs-3.8.4-52.el7rhgs.x86_64
glusterfs-rdma-3.8.4-52.el7rhgs.x86_64
glusterfs-server-3.8.4-52.el7rhgs.x86_64
gluster-nagios-addons-0.2.9-1.el7rhgs.x86_64
gluster-nagios-common-0.2.4-1.el7rhgs.noarch
libvirt-daemon-driver-storage-gluster-3.2.0-14.el7_4.3.x86_64
python-etcd-0.4.5-1.el7rhgs.noarch
python-gluster-3.8.4-52.el7rhgs.noarch
rubygem-etcd-0.3.0-1.el7rhgs.noarch
tendrl-ansible-1.5.4-1.el7rhgs.noarch
tendrl-api-1.5.4-2.el7rhgs.noarch
tendrl-api-httpd-1.5.4-2.el7rhgs.noarch
tendrl-collectd-selinux-1.5.3-2.el7rhgs.noarch
tendrl-commons-1.5.4-3.el7rhgs.noarch
tendrl-gluster-integration-1.5.4-3.el7rhgs.noarch
tendrl-grafana-plugins-1.5.4-4.el7rhgs.noarch
tendrl-grafana-selinux-1.5.3-2.el7rhgs.noarch
tendrl-monitoring-integration-1.5.4-4.el7rhgs.noarch
tendrl-node-agent-1.5.4-3.el7rhgs.noarch
tendrl-notifier-1.5.4-2.el7rhgs.noarch
tendrl-selinux-1.5.3-2.el7rhgs.noarch
tendrl-ui-1.5.4-3.el7rhgs.noarch
vdsm-gluster-4.17.33-1.2.el7rhgs.noarch


How reproducible:
100%

Steps to Reproduce:
1. copy some data to volume
2. check volume dashboard and dashboards of bricks and especially throughput chart

Actual results:
missing units and timestamps in throughput charts

Expected results:
There are units and timestamps in throughput charts.

Comment 2 Martin Kudlej 2017-11-22 14:26:36 UTC
I would like to move this BZ from just throughput charts to all charts on all dashboards.

Expected results:
User should know what is visible in chart - how big values in which units and at which time. If there is no space to have units next to Y axis, there should be information note "i" in the left upper corner of chart with explaining of what can be seen in chart.

Comment 4 Martin Kudlej 2017-11-22 14:36:10 UTC
There is related upstream issue https://github.com/Tendrl/monitoring-integration/issues/251

Comment 5 Ankush Behl 2017-11-23 14:57:45 UTC
Units of different Metrics In grafana:
Wiki link: https://github.com/Tendrl/documentation/wiki/Units-of-different-Metrics-In-grafana

Comment 9 Martin Kudlej 2017-11-24 08:04:22 UTC
*** Bug 1517093 has been marked as a duplicate of this bug. ***

Comment 13 Lubos Trilety 2017-12-15 07:53:11 UTC
(In reply to Ankush Behl from comment #5)
> Units of different Metrics In grafana:
> Wiki link:
> https://github.com/Tendrl/documentation/wiki/Units-of-different-Metrics-In-
> grafana

I was looking on this and I am wondering about throughput and latency as this guide states those have no units. But both must have some units otherwise it doesn't makes sense it's not just a number. Of course it makes sense to have no units for IOPS, nr of errors etc.


Note You need to log in before you can comment on or make changes to this bug.